Repetitive tasks - cladding modeling

cladding

#1

Hi, in near future I am going to create 3d model of cladding based on flat divided surfaces. Currently I am creating them manually with such technique:

  1. Offset with double clicks on each face (multiple offset does not work properly, some faces are offsetting outside some inside, despite all faces are oriented properly)
  2. Select all and deselect with double clicks on each face
  3. Delete selection (faces between panels)

Maybe someone have done similar and have faster technique?


#2

Maybe Chris Fullmer’s Greeble plugin?


#3

Hm, does not work with my model. With simple divided plane (oriented with to Z axis works).

TEST.skp (97.5 KB)


#4

Maybe SDMitch’s Multiple Offset from Sketchucation?


#5

I’m not understanding the issue.
But fill in the ‘windows’ and use tig’s smart offset then remove the windows again.


#6

even with this old plugin of mine you see some faces fail, because push/pull finds an obstacle…

if all faces where groups or comps it would all work…

I don’t have time to modify the extension at the moment, maybe someone else can update it…

john


#7

Hi, I havent used this yet but you might be able to adapt this to your needs (its mostly for sidings)


#8

I have used Rick Wilson’s old Windowizer plugin for things like this, but it was quite long ago. I haven’t tried it lately.


#9

This code

mod = Sketchup.active_model
ent = mod.active_entities
sel = mod.selection
SKETCHUP_CONSOLE.clear
faces = sel.grep(Sketchup::Face)
for f in faces
  lines = []; ctr = f.bounds.center; pts = []
  for e in f.edges
    if e.faces.length==1
      lines << [e.start.position,e.end.position]
    else
      poe = ctr.project_to_line(e.line)
      vec = poe.vector_to(ctr).normalize
      spt = e.start.position.offset(vec)
      ept = e.end.position.offset(vec)
      lines << [spt,ept]
    end
  end
  for i in 0...lines.length
    ipt = Geom.intersect_line_line(lines[i-1],lines[i])
    pts << ipt if ipt
  end
  fac = ent.add_face(pts)
  fac.pushpull 1,true
end

produces this result…
TEST_SDM.skp (171.5 KB)


#10

Thank you for all I should try these all techniques. I will let you know which fits me better.

Very strange but, I can’t check which Multiple offsets do I have.

At first sight looks like ruby code is the best :wink:


#11

I have finally done this job. In my opinion the best way to do this was these extensions:

  1. Eneroth Flatten to Plane https://extensions.sketchup.com/en/content/eneroth-flatten-plane
    To prevent inaccuracies from Revit import (which I mentioned here Triangulated faces driving me crazy!)
  2. tig’s smart offset with filled windows https://sketchucation.com/pluginstore?pln=TIG_Smart_offset
  3. Fredo6 JointPushPull https://extensions.sketchup.com/en/content/jointpushpull

In near future I will show you results :wink:

@sdmitch your code looks short and understandable, but I had a problem with its modifications. I’m going to start learning ruby, because it looks like it will solve many difficulties.